

struct _list {

    struct _list* next;
    struct _list* prev;
    char* data;

};
typedef struct _list List;

List* list_append( List* list, char* data );
List* list_prepend( List* list, char* data );
List* list_concat( List* list, List* concat_list );
List* list_free( List* list );
List* list_insert_before( List* list, List* node, char* data );
List* list_remove_link( List* list, List* remove );
List* list_reverse( List* list );
List* list_sort( List* list, int (*compare_func)( char* a, char* b ) );

