#include "predictive_dictionary.h"
#include <stdio.h>


int main( int argc, char** argv ) {

    char buffer[100];
    char last_word[100];
    PredictiveDictionary* dict;

    dict = predictive_dictionary_new( "test_dict.cd", "38k_dict.cd" );
    last_word[0] = '\0';

    do {

        fprintf( stderr, "Tast inn ord: " );
        fgets( buffer, 100, stdin );

        if( strcmp( buffer, "\n" ) == 0 )
            fprintf( stderr, "Cycle: %s\n", predictive_dictionary_cycle( dict, last_word ) );
        else if( strcmp( buffer, "A\n" ) == 0 ) {

            fprintf( stderr, "Adding word : %s\n", last_word );
            predictive_dictionary_update_with_word( dict, last_word );
            
        }
        else {

            strcpy( last_word, buffer );
            last_word[ strlen( last_word ) - 1 ] = '\0';

            fprintf( stderr, "Predicted: %s\n", predictive_dictionary_predict( dict, last_word ) );

        }


    } while( strcmp( buffer, "Q\n" ) != 0 );

    return 0;
}

